Bug 1913047 - baremetal clusteroperator progressing status toggles between true and false when cluster is in a steady state
Summary: baremetal clusteroperator progressing status toggles between true and false w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Beth White
QA Contact: Polina Rabinovich
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-05 19:58 UTC by Doug Hellmann
Modified: 2021-02-24 15:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-baremetal-operator pull 92 0 None closed Bug 1913047: Remove intermediate CO progressing state 2021-02-03 07:15:22 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:37 UTC

Description Doug Hellmann 2021-01-05 19:58:04 UTC
Description of problem:

The "baremetal" ClusterOperator "progressing" field toggles between true and false continuously, even while the cluster is in a steady state.


Version-Release number of selected component (if applicable): 4.7.0-0.nightly-2021-01-04-153716


How reproducible: always


Steps to Reproduce:
1. run `oc get clusteroperator baremetal` in a loop at the shell prompt
2.
3.

Actual results:

$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-04-153716   True        True          False      23h
$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-04-153716   True        True          False      23h
$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-04-153716   True        False         False      23h
$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-04-153716   True        False         False      23h


Expected results:

The "progressing" column should always say "False".

Additional info:

Comment 2 Polina Rabinovich 2021-01-19 09:50:12 UTC
The "progressing" column always with "False" status.

[kni@provisionhost-0-0 ~]$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-18-144603   True        False         False      13h
[kni@provisionhost-0-0 ~]$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-18-144603   True        False         False      13h
[kni@provisionhost-0-0 ~]$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-18-144603   True        False         False      13h
[kni@provisionhost-0-0 ~]$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-18-144603   True        False         False      13h
[kni@provisionhost-0-0 ~]$ oc get clusteroperator baremetal
NAME        VERSION                             AVAILABLE   PROGRESSING   DEGRADED   SINCE
baremetal   4.7.0-0.nightly-2021-01-18-144603   True        False         False      13h

Comment 5 errata-xmlrpc 2021-02-24 15:50:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.